<?php function threadedComments($comments, $options) {
    $commentClass = '';
        if ($comments->authorId == 1) {
            $commentClass .= ' author-admin';  //如果是文章作者的评论添加 .comment-by-author 样式
        }
?>
 
<li class="comment depth-<?php echo $comments->levels+1; ?> <?php
    if ($comments->levels > 0) {
        //echo ' comment-child';
        $comments->levelsAlt(' odd', ' even');
    } else {
        echo ' comment-parent';
    }?> <?php $comments->alt('', 'odd alt');echo $commentClass;?>" id="<?php $comments->theId(); ?>">
<div class="comment-avatar<?php if($comments->authorId == 1) { echo " admin-avatar";}; ?>">
    <img alt='' src='<?php echo getGravatar($comments->mail,50); ?>' class='avatar' height='50' width='50' />
    <?php authorcomt($comments,true,true,true); ?>
</div>
<div class="comment-container<?php if($comments->authorId == 1) { echo " admin";}; ?>" id="div-<?php $comments->theId(); ?>">
    <div class="comment-connent"><?php $comments->content(); ?><?php if ('waiting' == $comments->status) { ?><?php $options->commentStatus(); ?><?php } ?></div>
    <div class="comment-info"><span><?php $comments->date('n月j日 H:i'); ?></span><?php echo '<a class="comment-reply-link" href="' . substr($comments->permalink, 0, - strlen($comments->theId) - 1) . '?replyTo=' . $comments->coid .'#' . $comments->parameter->respondId . '" rel="nofollow" onclick="return TypechoComment.reply(' .$comments->theId . ', ' . $comments->coid . ');">回复</a>'; ?><div class="clr"></div></div>
    <div class="comment-tr"></div>
</div>
<?php if ($comments->children) { ?>
<ul class="children"><?php $comments->threadedComments($options); ?></ul>
<?php } ?>
</li>
<?php } ?>

<?php if($this->allow('comment')): ?>
<?php $this->comments()->to($comments); ?>
<div class="post-comment-list" id="post-comment-list">
    <div class="comment-tab">
        <a class="current">评论(<span id="comment_count"><?php $this->commentsNum('0', '1', '%d'); ?></span>)</a>
    </div>
    <?php if ($this->commentsNum == 0 && $this->allow('comment')) { ?>
    <div class="disabled-comment"><span class="cd-icon cm-stop" title="快来抢沙发">沙发有屎，请自行备纸</span></div>
    <?php } ?>
    <div class="comment-list" id="comment_list">
        <ul><?php $comments->listComments(array('before' => '','after'=> '','commentStatus'=>'<div class="comment-moderation">你的评论需要审核通过后才会生效</div>')); ?></ul>
        <?php $comments->pageNav('&laquo; 上一页', '下一页 &raquo;',6, '', array('wrapTag' => 'div', 'wrapClass' => 'comments_paginate', 'itemTag' => NULL, 'textTag' => '', 'currentClass' => 'page-numbers current', 'prevClass' => 'prev page-numbers', 'nextClass' => 'next page-numbers')); ?>
    </div>
    <?php if ($this->allow('comment')) { ?>
    <div class="comment-form-title">发表评论：</div>
    <div id="reply-form">
        <div class="popover fade top in">
        <div class="arrow"></div>
            <h3 class="popover-title"><span id="reply-text">回复</span> <span id="reply-name"></span><a id="reply-close" href="javascript:;">取消</a></h3>
            <div class="popover-content" id="reply-content"></div>
        </div>
    </div>
    <form action="<?php $this->commentUrl() ?>" method="post" id="reply-from">
        <input type="hidden" name="v_code" id="v_code" value="" />
        <input type="hidden" name="reply_mail_notify" id="reply_mail_notify" value="" />
        <input type="hidden" name="wpgo_dislike" id="wpgo_dislike" value="" />
        <input type="hidden" id="reply_li_id" value="" />
        <div class="comment-form" id="<?php $this->respondId(); ?>">
            <div class="comment-form-content">
                <div class="comment-textarea"><textarea name="text" id="reply_comment"></textarea></div>
                <?php if(!$this->user->hasLogin()) { ?>
                <div class="comment-input">
                    <div class="cfp cf-l"><span class="cf-realname"></span><input id="reply-author" type="text" name="author" placeholder="昵称" value="<?php echo $this->remember('author',true) ? $this->remember('author',true) : '昵称'; ?>" required /></div>
                    <div class="cfp cf-m"><span class="cf-email"></span><input id="reply-email" type="text" name="email" placeholder="邮箱" value="<?php echo $this->remember('mail',true) ? $this->remember('mail',true) : '邮箱'; ?>" required /></div>
                    <div class="cfp cf-r"><span class="cf-url"></span><input id="reply-url" type="text" name="url" placeholder="微博或网址" value="<?php echo $this->remember('url',true) ? $this->remember('url',true) : '微博或网址'; ?>" required /></div>
                </div>
                <?php } ?>
                <div class="clr"></div>
            </div>  
        </div>
        <div class="comment-form-submit">
            <?php if( $this->user->hasLogin() ) { ?>
            <img alt="" src="<?php echo getGravatar($this->user->mail,96); ?>" class="avatar avatar-96 photo" height="96" width="96">
            <div class="tooltip fade right in" id="reply-current-user">
                <div class="tooltip-arrow"></div>
                <div class="tooltip-inner"><?php $this->user->screenName(); ?><br /><a href="<?php $this->options->logoutUrl(); ?>" title="退出当前帐号">退出</a></div>
            </div>
            <?php } ?>
            <input type="submit" name="submit" class="comment-submit-button" id="reply-submit" value="提交" />
        </div>
    </form>
    <?php } else { ?>
    <div class="disabled-comment"><span class="cd-icon cm-smile">本文很不情愿地关闭了评论</span></div>
    <?php } ?>
</div>
<?php endif; ?>