<?php $this->need('header.php'); ?>
	<div id="container">
		<div id="left">
			<div class="breadcrumb"><span class="home-icon"><a href="<?php $this->options->siteUrl(); ?>">首页</a>&nbsp;&gt;&nbsp;<?php $this->category(','); ?>&nbsp;&gt;&nbsp;<a href="<?php $this->permalink(); ?>"><?php $this->title(); ?></a></span></div>
			<div class="wp-content">
				<div class="post-header">
					<h3 class="post-title"><?php $this->title(); ?></h3>
					<div class="post-info">
						<span class="publish" title="发布时间"><?php $this->date('Y-n-j'); ?></span>
						<?php if ($this->tags): ?><span class="tags" title="关键词"><?php $this->tags(', ', true, ''); ?></span><?php endif; ?>
						<span class="category" title="分类"><?php $this->category(','); ?></span>
						<span class="views" title="访问数量"><?php echo Views_Plugin::theViews('', '',0); ?>次访问</span>
					</div>
				</div>
				<div class="post-content"><?php $this->content(); ?></div>
				<?php if( $this->options->wpgo_is_author_card == 'Y' ) { ?>
				<div class="post-author">
					<img alt="<?php $this->title(); ?>" title="扫一扫本文二维码，分享给大家" src="<?php echo wpgo_get_qr($this->permalink); ?>" class="post-qr" />
					<div class="post-cp">
						<p>
							<b>本文作者</b>：<a title="查看<?php $this->author(); ?>发布的所有文章" href="<?php $this->author->permalink(); ?>" class="ease"><?php $this->author(); ?></a>
							 @ <?php echo $this->options->wpgo_email ? '<a href="mailto:'.$this->options->wpgo_email.'" target="_blank" class="ease">邮箱</a>' : ''; ?>
						</p>
						<p><b>版权声明</b>：<?php wpgo_get_cc(true); ?></p>
						<p><b>本文地址</b>：<?php $this->permalink(); ?></p>
					</div>
					<div class="clr"></div>
				</div>
				<?php } ?>
				<div class="post-sns" id="post-sns">
					<div class="sns-left">
						<span class="share-btns">分享：</span>
						<a href="http://v.t.sina.com.cn/share/share.php?url=<?php $this->permalink(); ?>&title=<?php $this->title(); ?>" target="_blank" rel="nofollow" title="分享到新浪微博" class="sns-wb">&nbsp;</a>
						<a href="http://v.t.qq.com/share/share.php?title=<?php $this->title(); ?>&url=<?php $this->permalink(); ?>&site=<?php $this->options->siteUrl();?>" target="_blank" rel="nofollow" title="分享到腾讯微博" class="sns-txwb">&nbsp;</a>
						<a href="http://facebook.com/share.php?u=<?php $this->permalink(); ?>&t=<?php $this->title(); ?>" target="_blank" rel="nofollow" title="分享到FaceBook" class="sns-fb">&nbsp;</a>
						<a href="http://share.renren.com/share/buttonshare?link=<?php $this->permalink(); ?>&title=<?php $this->title(); ?>" target="_blank" rel="nofollow" title="分享到人人网" class="sns-rr">&nbsp;</a>
						<a href="http://sns.qzone.qq.com/cgi-bin/qzshare/cgi_qzshare_onekey?url=<?php $this->permalink(); ?>&title=<?php $this->title(); ?>" target="_blank" rel="nofollow" title="分享到QQ空间" class="sns-qz">&nbsp;</a>
						<a href="http://fanfou.com/sharer?u=<?php $this->permalink(); ?>&t=<?php $this->title(); ?>" target="_blank" rel="nofollow" title="分享到饭否" class="sns-ff">&nbsp;</a>
						<a href="http://www.douban.com/recommend/?url=<?php $this->permalink(); ?>&title=<?php $this->title(); ?>" target="_blank" rel="nofollow" title="分享到豆瓣" class="sns-db">&nbsp;</a>
						<a href="http://t.163.com/article/user/checkLogin.do?link=<?php $this->permalink(); ?>source=<?php $this->options->siteUrl();?>&info=<?php $this->title(); ?><?php $this->permalink(); ?>" target="_blank" rel="nofollow" title="分享到网易微博" class="sns-wy">&nbsp;</a>
						<a href="http://twitter.com/share?url=<?php $this->permalink(); ?>&text=<?php $this->title(); ?>" target="_blank" rel="nofollow" title="分享到Twitter" class="sns-tw">&nbsp;</a>
					</div>
					<div class="clr"></div>
				</div>
			</div>
			<div class="related-posts">
				<h2 class="related-title">相关文章</h2>
				<div class="posts">
					<?php $this->related(4)->to($relatedPosts); ?>
					<?php if ($relatedPosts->have()): ?>
					<?php while ($relatedPosts->next()): ?>
				<div class="r-post">
					<a title="<?php $relatedPosts->title(); ?>" href="<?php $relatedPosts->permalink(); ?>" rel="bookmark"><img width="200" height="200" src="<?php echo img_postthumb($relatedPosts->cid); ?>" alt="<?php $relatedPosts->title(); ?>" />
						<h3><?php $relatedPosts->title(60); ?></h3>
						<p><?php $relatedPosts->excerpt(44); ?></p>
						<div class="clr"></div>
					</a>
				</div>
					<?php endwhile; ?>
					<?php endif; ?>
					<div class="clr"></div>
				</div>
				<div class="related-pn-posts">
					<?php thePrev($this); ?>
					<?php theNext($this); ?>
					<div class="clr"></div>
				</div>
				<div class="clr"></div>
			</div>
			<input type="hidden" id="post_id" value="<?php $this->cid(); ?>" />
			<?php $this->need('comments.php'); ?>
		</div>
		<?php $this->need('sidebar.php'); ?>
	</div>
<?php $this->need('footer.php'); ?>