<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no" />
<title><?php if ($this->is('index')) : ?><?php $this->options->title(); ?> | <?php $this->options->description(); ?><?php endif; ?>
<?php $this->archiveTitle(array(
                'search'    =>  _t('搜索结果 %s')
        ), '', ' | '); ?><?php if (!$this->is('index')) : ?><?php $this->options->title(); ?><?php endif; ?><?php if($this->_currentPage>1) echo ' - Page '.$this->_currentPage; ?></title>
<?php if ($this->is('index')) {
    $keywords = $this->options->wpgo_keywords;
    $description = $this->options->wpgo_description;
} else {
    $keywords = $this->_keywords;
    $description = $this->_description;
}
?>
<meta name="keywords" content="<?php echo htmlspecialchars($keywords); ?>">
<meta name="description" content="<?php echo htmlspecialchars($description); ?>">
<link rel="stylesheet" type="text/css" media="all" href="<?php $this->options->themeUrl('style.css'); ?>" />
<link rel="stylesheet" type="text/css" media="all" href="<?php $this->options->themeUrl('js/fancybox/fancybox/jquery.fancybox-1.3.4.css'); ?>" />
<?php $this->header('description=&keywords=&generator=&template=&xmlrpc=&wlw=&rss2=&rss1=&atom='); ?>
<style type="text/css">
	body { background-image: url('<?php wpgo_get_imgage(); ?>'); background-color: #F1F1F1; background-repeat: repeat; background-position: top left; background-attachment: scroll; }
	.header-image { height: 150px; max-width: 1100px; background: url('<?php wpgo_get_header_imgage(); ?>') no-repeat; }
	.header-image span { display: block; color: #FFFFFF; }
</style>
</head>
<body>
<div id="wrap">
	<div id="header">
		<div class="header-image">
			<a title="<?php $this->options->siteUrl();?>" href="<?php $this->options->siteUrl();?>"><span class="site-name"><?php $this->options->title(); ?></span><span class="sub-title"><?php $this->options->description(); ?></span></a>
		</div>
		<div class="header-nav">
			<ul id="menu-navigation" class="nav-menu">
			<li<?php if($this->is('index')): ?> class="current-menu-item"<?php endif; ?>><a href="<?php $this->options->siteUrl();?>">首页</a></li>
			<?php $this->widget('Widget_Metas_Category_List')->to($category); ?>
			<?php while($category->next()): ?>
				<li<?php if($this->is('category', $category->slug)): ?> class="current-menu-item"<?php endif; ?><?php if($this->is('post') and $this->category == $category->slug): ?> class="current-menu-item"<?php endif; ?>><a href="<?php $category->permalink(); ?>"><?php $category->name(); ?></a></li>
			<?php endwhile; ?>
			<?php $this->widget('Widget_Contents_Page_List')->to($page); ?>
			<?php while($page->next()): ?>
				<li<?php if($this->is('page', $page->slug)): ?> class="current-menu-item"<?php endif; ?>><a href="<?php $page->permalink(); ?>"><?php $page->title(); ?></a></li>
			<?php endwhile; ?>
			</ul>
			<ul class="mobile-nav nav-menu">
				<li><a href="<?php $this->options->siteUrl(); ?>">首页</a></li>
				<li><a href="javascript:;" id="mobile_nav">菜单</a>
					<ul class="sub-menu" id="mobile_nav_list">
					<?php $this->widget('Widget_Metas_Category_List')->to($categories); ?>
					<?php while($categories->next()): ?>
						<li><a href="<?php $categories->permalink(); ?>"><?php $categories->name(); ?></a></li>
					<?php endwhile; ?>
					</ul>
				</li>
			</ul>
			<div class="sns-list">
			<?php echo $this->options->wpgo_rss ? '<a href="'.$this->options->wpgo_rss.'" target="_blank" class="rss ease"></a>' : ''; ?>
			<?php echo $this->options->wpgo_tweibo ? '<a href="'.$this->options->wpgo_tweibo.'" target="_blank" class="tweibo ease"></a>' : ''; ?>
			<?php echo $this->options->wpgo_weibo ? '<a href="'.$this->options->wpgo_weibo.'" target="_blank" class="weibo ease"></a>' : ''; ?>
			<?php echo $this->options->wpgo_zhihu ? '<a href="'.$this->options->wpgo_zhihu.'" target="_blank" class="zhihu ease"></a>' : ''; ?>
			<?php echo $this->options->wpgo_douban ? '<a href="'.$this->options->wpgo_douban.'" target="_blank" class="douban ease"></a>' : ''; ?>
			<?php echo $this->options->wpgo_qq ? '<a href="'.$this->options->wpgo_qq.'" target="_blank" class="qq ease"></a>' : ''; ?>
			<?php echo $this->options->wpgo_email ? '<a href="mailto:'.$this->options->wpgo_email.'" target="_blank" class="email ease"></a>' : ''; ?>
			</div>
			<div class="clr"></div>
		</div>
	</div>