<?php
/**
+----------------------------------------
| 主题：WPGO for typecho
+----------------------------------------
| 版本：1.1.0
+----------------------------------------
| 更新时间： 2014-11-17 12:34:56
+----------------------------------------
| 作者：xiu.160.me 原作者：cuelog.com
+----------------------------------------
|  该脚本所有代码均为原创，仅供学习和参考；
|  如果对代码进行任何的修改或者衍生，涉及修改部分的额外代码和衍生的代码都必须采用 LGPL 协议开放源代码；
|  无论您对本脚本代码如何修改，都必须在明显和恰当的位置宣告版权声明；
|  * 无论您对WPGO主题如何修改，都必须在站点底部著名版权信息，没有版权信息将不再提供售后和更新服务；
+----------------------------------------
*/
function themeConfig($form) {

    $wpgo_header_imgage = new Typecho_Widget_Helper_Form_Element_Radio('wpgo_header_imgage', 
    array(
    '1' => _t('<img width="180" height="35" src="'.Helper::options()->themeUrl.'/images/header_img.jpg">'),
    '2' => _t('<img width="180" height="35" src="'.Helper::options()->themeUrl.'/images/header_img_1.gif">'),
    '3' => _t('<img width="180" height="35" src="'.Helper::options()->themeUrl.'/images/header_img_2.png">')),
    '1',
    _t('顶部图像'));    
    $form->addInput($wpgo_header_imgage);

    $wpgo_imgage = new Typecho_Widget_Helper_Form_Element_Radio('wpgo_imgage', 
    array(
    '1' => _t('<img width="35" height="35" src="'.Helper::options()->themeUrl.'/images/wpgo_background.jpg">'),
    '2' => _t('<img width="35" height="35" src="'.Helper::options()->themeUrl.'/images/wpgo_background_1.png">'),
    '3' => _t('<img width="35" height="35" src="'.Helper::options()->themeUrl.'/images/wpgo_background_2.jpg">'),
    '4' => _t('<img width="35" height="35" src="'.Helper::options()->themeUrl.'/images/wpgo_background_3.png">'),
    '5' => _t('<img width="35" height="35" src="'.Helper::options()->themeUrl.'/images/wpgo_background_4.png">'),
    '6' => _t('<img width="35" height="35" src="'.Helper::options()->themeUrl.'/images/wpgo_background_5.jpg">'),
    '7' => _t('<img width="35" height="35" src="'.Helper::options()->themeUrl.'/images/wpgo_background_6.jpg">')),
    '7',
    _t('背景图像'));    
    $form->addInput($wpgo_imgage);

    $wpgo_description = new Typecho_Widget_Helper_Form_Element_Text('wpgo_description', NULL, Helper::options()->title.'是一个专注为街坊邻里分享最火最热的综合性娱乐资源平台，'.Helper::options()->title.'将一些热门的、好玩的、好看的、新鲜资讯福利收集整理分享给街坊邻里！', _t('站点描述'), _t(''));
    $form->addInput($wpgo_description);

    $wpgo_keywords = new Typecho_Widget_Helper_Form_Element_Text('wpgo_keywords', NULL, Helper::options()->title.'|宅男福利|美女写真|你懂的|福利吧|推女郎|尤果网|东莞V女郎|秀人网|rosimm|好孩子看不见|街拍美女|第四印象|动感小站|PANS' , _t('站点关键词'), _t(''));
    $form->addInput($wpgo_keywords);

    $wpgo_footer_pages = new Typecho_Widget_Helper_Form_Element_Textarea('wpgo_footer_pages', NULL, 'Copyright ©2014 '.Helper::options()->title.'. All rights reserved - <a href="'.Helper::options()->siteUrl.'about">关于</a> | <a href="'.Helper::options()->siteUrl.'sitemap.html">网站地图</a> | <a href="'.Helper::options()->siteUrl.'links">友情链接</a>', _t('底部文字链接'), _t(''));
    $form->addInput($wpgo_footer_pages);

    $wpgo_statistics_code = new Typecho_Widget_Helper_Form_Element_Textarea('wpgo_statistics_code', NULL, '<div style="display:none;"><script src="http://s23.cnzz.com/z_stat.php?id=1252964199&web_id=1252964199" language="JavaScript"></script></div>', _t('网站统计代码'), _t(''));
    $form->addInput($wpgo_statistics_code);

    $wpgo_notice = new Typecho_Widget_Helper_Form_Element_Textarea('wpgo_notice', NULL, '听说好多人还是挺喜欢WPGO的？那开放购买，各位大帝请需要的话，请右上角联系我QQ！主题介绍:<a href="http://xiu.160.me/go/wpgo-for-typecho.html">WPGO For Typecho</a>)', _t('公告栏内容'), _t(''));
    $form->addInput($wpgo_notice);

    $wpgo_is_ajax = new Typecho_Widget_Helper_Form_Element_Radio('wpgo_is_ajax', 
    array(
    'Y' => _t('是'),
    'N' => _t('否')),
    'Y',
    _t('全站Ajax'));    
    $form->addInput($wpgo_is_ajax);

    $wpgo_is_author_card = new Typecho_Widget_Helper_Form_Element_Radio('wpgo_is_author_card', 
    array(
    'Y' => _t('是'),
    'N' => _t('否')),
    'Y',
    _t('文章页是否显示名片卡'));    
    $form->addInput($wpgo_is_author_card);

    $wpgo_cc = new Typecho_Widget_Helper_Form_Element_Select('wpgo_cc', 
    array(
        '' => _t('不显示'),
        'by' => _t('署名 3.0 中国大陆 (CC BY 3.0 CN)'),
        'by-sa' => _t('署名-相同方式共享 3.0 中国大陆 (CC BY-SA 3.0 CN)'),
        'by-nd' => _t('署名-禁止演绎 3.0 中国大陆 (CC BY-ND 3.0 CN)'),
        'by-nc' => _t('署名-非商业性使用 3.0 中国大陆 (CC BY-NC 3.0 CN)'),
        'by-nc-sa' => _t('署名-非商业性使用-相同方式共享 3.0 中国大陆 (CC BY-NC-SA 3.0 CN)'),
        'by-nc-nd' => _t('署名-非商业性使用-禁止演绎 3.0 中国大陆 (CC BY-NC-ND 3.0 CN)'),
        ),
    'by-nc-nd',
    _t('站点采用的许可协议'), _t('有关《Creative Commons》简称CC许可协议，请参考<a href="http://creativecommons.net.cn/licenses/meet-the-licenses/" target="_blank">知识共享许可协议文本</a>'));    
    $form->addInput($wpgo_cc);

    $wpgo_rss = new Typecho_Widget_Helper_Form_Element_Text('wpgo_rss',NULL, Helper::options()->feedUrl ,_t('Rss'), _t(''));
    $wpgo_rss->input->setAttribute('class', 'w-100 mono');
    $form->addInput($wpgo_rss->addRule('url', '请填写一个URL地址'));

    $wpgo_tweibo = new Typecho_Widget_Helper_Form_Element_Text('wpgo_tweibo',NULL, 'http://t.qq.com/xiu160me' ,_t('腾讯微博'), _t(''));
    $wpgo_tweibo->input->setAttribute('class', 'w-100 mono');
    $form->addInput($wpgo_tweibo->addRule('url', '请填写一个URL地址'));

    $wpgo_weibo = new Typecho_Widget_Helper_Form_Element_Text('wpgo_weibo',NULL, 'http://weibo.com/xiu160me' ,_t('新浪微博'), _t(''));
    $wpgo_weibo->input->setAttribute('class', 'w-100 mono');
    $form->addInput($wpgo_weibo->addRule('url', '请填写一个URL地址'));

    $wpgo_zhihu = new Typecho_Widget_Helper_Form_Element_Text('wpgo_zhihu',NULL, NULL ,_t('知乎'), _t(''));
    $wpgo_zhihu->input->setAttribute('class', 'w-100 mono');
    $form->addInput($wpgo_zhihu->addRule('url', '请填写一个URL地址'));

    $wpgo_douban = new Typecho_Widget_Helper_Form_Element_Text('wpgo_douban',NULL, NULL ,_t('豆瓣'), _t(''));
    $wpgo_douban->input->setAttribute('class', 'w-100 mono');
    $form->addInput($wpgo_douban->addRule('url', '请填写一个URL地址'));

    $wpgo_qq = new Typecho_Widget_Helper_Form_Element_Text('wpgo_qq',NULL, 'http://wpa.qq.com/msgrd?v=3&uin=303388140&site=qq&menu=yes' ,_t('Q Q'), _t('请用 <a href="http://shang.qq.com/" target="_blank">QQ在线状态</a> 生成的代码&lt;a&gt;标签中的链'));
    $wpgo_qq->input->setAttribute('class', 'w-100 mono');
    $form->addInput($wpgo_qq->addRule('url', '请填写一个URL地址'));

    $wpgo_email = new Typecho_Widget_Helper_Form_Element_Text('wpgo_email',NULL, 'claymoreboy@126.com' ,_t('邮箱地址'), _t(''));
    $wpgo_email->input->setAttribute('class', 'w-100 mono');
    $form->addInput($wpgo_email->addRule('email', '请填写一个邮箱地址'));

    $wpgo_widget_category_column = new Typecho_Widget_Helper_Form_Element_Radio('wpgo_widget_category_column', 
    array(
    '' => _t('单栏'),
    '1' => _t('双栏')),
    '',
    _t('侧栏文章分类目录'));    
    $form->addInput($wpgo_widget_category_column);

    $wpgo_widget = new Typecho_Widget_Helper_Form_Element_Checkbox('wpgo_widget', 
    array(
    'wpgo_widget_notice' => _t('公告栏'),
    'wpgo_widget_search' => _t('搜索'),
    'wpgo_widget_category' => _t('文章分类目录'),
    'wpgo_widget_newcomments' => _t('最新评论'),
    'wpgo_widget_tag' => _t('标签云'),
    'wpgo_widget_link' => _t('友情链接'),
    'wpgo_widget_archives' => _t('文章归档')),
    array('wpgo_widget_notice','wpgo_widget_search','wpgo_widget_category','wpgo_widget_newcomments','wpgo_widget_tag','wpgo_widget_link','wpgo_widget_archives'), _t('侧栏显示栏目'));    
    $form->addInput($wpgo_widget->multiMode());
}

function themeInit($archive) {
    wpgo_is_ajax() && ob_start();
}

//CC版权设置
function wpgo_get_cc($is_single = false) {
    $cc = Helper::options()->wpgo_cc;
    switch ($cc) {
        case 'by' :
            $cc_title = '知识共享署名 3.0 中国大陆许可协议';
            $cc_url = 'http://creativecommons.org/licenses/by/3.0/cn/';
            break;
        case 'by-sa' :
            $cc_title = '知识共享署名-相同方式共享 3.0 中国大陆许可协议';
            $cc_url = 'http://creativecommons.org/licenses/by-sa/3.0/cn/';
            break;
        case 'by-nd' :
            $cc_title = '知识共享署名-禁止演绎 3.0 中国大陆许可协议';
            $cc_url = 'http://creativecommons.org/licenses/by-nd/3.0/cn/';
            break;
        case 'by-nc' :
            $cc_title = '知识共享署名-非商业性使用 3.0 中国大陆许可协议';
            $cc_url = 'http://creativecommons.org/licenses/by-nc/3.0/cn/';
            break;
        case 'by-nc-sa' :
            $cc_title = '知识共享署名-非商业性使用-相同方式共享 3.0 中国大陆许可协议';
            $cc_url = 'http://creativecommons.org/licenses/by-nc-sa/3.0/cn/';
            break;
        case 'by-nc-nd' :
            $cc_title = '知识共享署名-非商业性使用-禁止演绎 3.0 中国大陆许可协议';
            $cc_url = 'http://creativecommons.org/licenses/by-nc-nd/3.0/cn/';
            break;
    }
    if ($is_single) {
        if ($cc == null) {
            echo '除非本文有注明出处，否则转载请注明本文来自 ' . Helper::options()->siteUrl;
        } else {
            echo '本文基于《<a rel="nofollow" title="请遵循协议规定，如果对本文的版权有异义，请与我联系" href="' . $cc_url . '" target="_blank" class="ease">' . $cc_title . '</a>》发布，转载请遵循本协议';
        }
    }
    if ($cc != null) {
        echo '<a rel="nofollow" title="本站点采用' . $cc_title . '进行许可，转载本站文章，请注明出处" href="' . $cc_url . '" target="_blank"  class="cc cc-' . $cc . '"></a>';
    }
}

function wpgo_get_header_imgage() {
    $image = Helper::options()->wpgo_header_imgage;
    switch ($image) {
        case '1' :
            $image_url = Helper::options()->themeUrl.'/images/header_img.jpg';
            break;
        case '2' :
            $image_url = Helper::options()->themeUrl.'/images/header_img_1.gif';
            break;
        case '3' :
            $image_url = Helper::options()->themeUrl.'/images/header_img_2.png';
            break;
    }
    if ($image != null) {
        echo $image_url;
    }
}

function wpgo_get_imgage() {
    $image = Helper::options()->wpgo_imgage;
    switch ($image) {
        case '1' :
            $image_url = Helper::options()->themeUrl.'/images/wpgo_background.jpg';
            break;
        case '2' :
            $image_url = Helper::options()->themeUrl.'/images/wpgo_background_1.png';
            break;
        case '3' :
            $image_url = Helper::options()->themeUrl.'/images/wpgo_background_2.jpg';
            break;
        case '4' :
            $image_url = Helper::options()->themeUrl.'/images/wpgo_background_3.png';
            break;
        case '5' :
            $image_url = Helper::options()->themeUrl.'/images/wpgo_background_4.png';
            break;
        case '6' :
            $image_url = Helper::options()->themeUrl.'/images/wpgo_background_5.jpg';
            break;
        case '7' :
            $image_url = Helper::options()->themeUrl.'/images/wpgo_background_6.jpg';
            break;
    }
    if ($image != null) {
        echo $image_url;
    }
}

function getGravatar($email, $s = 40, $d = 'mm', $g = 'g') {

    $hash = md5($email);

    $avatar = "http://gravatar.duoshuo.com/avatar/$hash?s=$s&d=$d&r=$g";

    return $avatar;

}

//获取url二维码缓存
function wpgo_get_qr($url) {
    $url = 'http://qr.liantu.com/api.php?w=100&m=0&text=' . $url;
    //$url = 'http://api.qrserver.com/v1/create-qr-code/?size=100x100&data=' . $url; //Google
    return $url;
}

//是否ajax请求
function wpgo_is_ajax() {
    return (isset( $_SERVER ['HTTP_X_REQUESTED_WITH'] ) && 'XMLHttpRequest' == $_SERVER ['HTTP_X_REQUESTED_WITH']) ? true : false;
}

function category($widget,$split = '', $link = true, $default = NULL)
    {
        $categories = $widget->categories;
        if ($categories) {
            $result = array();

            foreach ($categories as $category) {
                $result[] = $link ? '<a href="' . $category['permalink'] . '" class="category ease _ajx">'
                . $category['name'] . '<i class="ease"></i></a>' : $category['name'];
            }

            return implode($split, $result);
        } else {
            return $default;
        }
    }

function img_number($cid){
   $db = Typecho_Db::get();
   $rs = $db->fetchRow($db->select('table.contents.text')
       ->from('table.contents')
       ->where('table.contents.cid=?', $cid)
       ->order('table.contents.cid', Typecho_Db::SORT_ASC)
       ->limit(1)); 

    preg_match_all('/<img.*?(?: |\\t|\\r|\\n)?src=[\'"]?(.+?)[\'"]?(?:(?: |\\t|\\r|\\n)+.*?)?>/sim', $rs['text'], $strResult, PREG_PATTERN_ORDER);  
    return count($strResult[1]);  
}

//缩略图
function img_postthumb($cid) {
   $db = Typecho_Db::get();
   $rs = $db->fetchRow($db->select('table.contents.text')
       ->from('table.contents')
       ->where('table.contents.cid=?', $cid)
       ->order('table.contents.cid', Typecho_Db::SORT_ASC)
       ->limit(1));

   preg_match_all("/\<img.*?src\=\"(.*?)\"[^>]*>/i", $rs['text'], $thumbUrl);  //通过正则式获取图片地址
   $img_src = $thumbUrl[1][0];  //将赋值给img_src
   $img_counter = count($thumbUrl[0]);  //一个src地址的计数器

   switch ($img_counter > 0) {
       case $allPics = 1:
           return $img_src;  //当找到一个src地址的时候，输出缩略图
           break;
       default:
           return (Helper::options()->themeUrl.'/images/wpgo_noimg.png');  //没找到(默认情况下)，不输出任何内容
   };
}

function theNext($widget, $default = NULL)
{
    $db = Typecho_Db::get();
    $sql = $db->select()->from('table.contents')
              ->where('table.contents.created > ?', $widget->created)
              ->where('table.contents.status = ?', 'publish')
              ->where('table.contents.type = ?', $widget->type)
              ->where('table.contents.password IS NULL')
              ->order('table.contents.created', Typecho_Db::SORT_ASC)
              ->limit(1);
    $content = $db->fetchRow($sql);
    if ($content) {
        $content = $widget->filter($content);
        $link = '<a title="'.$content['title'].'" href="'.$content['permalink'].'" class="next ease">'.$content['title'].'<span> 下一篇</span></a>';
        echo $link;
    } else {
        echo $default;
    }
}

function thePrev($widget, $default = NULL)
{
    $db = Typecho_Db::get();
    $sql = $db->select()->from('table.contents')
              ->where('table.contents.created < ?', $widget->created)
              ->where('table.contents.status = ?', 'publish')
              ->where('table.contents.type = ?', $widget->type)
              ->where('table.contents.password IS NULL')
              ->order('table.contents.created', Typecho_Db::SORT_DESC)
              ->limit(1);
    $content = $db->fetchRow($sql);
    if ($content) {
        $content = $widget->filter($content);
        $link = '<a title="'.$content['title'].'" href="'.$content['permalink'].'" class="prev ease"><span>上一篇 </span>'.$content['title'].'</a>';
        echo $link;
    } else {
        echo $default;
    }
}

function authorcomt($widget,$autoLink = true, $noFollow = true, $target = true)
    {
        if ($widget->url && $autoLink) {
            echo '<a href="' , $widget->url , '"' , ($noFollow ? ' rel="external nofollow"' : NULL) ,' class="comment-author-url"',($target ? ' target="_blank"' : NULL), '>' , $widget->author , '</a>';
        } else {
            echo '<a class="comment-author-url">', $widget->author ,'</a>';
        }
    }