<?php
	// Ajax请求时，中断侧栏和底部
	if ( wpgo_is_ajax() ) {
		$content = html_entity_decode( ob_get_contents(), ENT_QUOTES, 'UTF-8' );
		ob_clean();
		exit($content.'<div></body></html>');
	}
?>
<div id="right">
	<?php if (!empty($this->options->wpgo_notice) && in_array('wpgo_widget_notice', $this->options->wpgo_widget)) { ?>
	<div class="slide-box sb-notice">
		<h2>公告</h2>
		<div class="sb-notice-wrap sb-border">
			<ul id="wpgo_notice">
				<li style="display:block;"><?php $this->options->wpgo_notice(); ?></li>
			</ul>
			<div class="clr"></div>
			<div class="sb-notice-nav">
				<span></span>
			</div>
		</div>
	</div>
	<?php } ?>
	<?php if (!empty($this->options->wpgo_widget) && in_array('wpgo_widget_search', $this->options->wpgo_widget)) { ?>
	<div class="slide-box">
		<h2>搜索</h2>
		<div class="sb-custom sb-search">
			<form action="/" id="search">
				<input type="text" name="s" class="key" required />
				<input type="submit" value="" class="sub" title="搜索" />
			</form>
		</div>
	</div>
	<?php } ?>
	<?php if (!empty($this->options->wpgo_widget) && in_array('wpgo_widget_category', $this->options->wpgo_widget)) { ?>
	<div class="slide-box<?php echo $this->options->wpgo_widget_category_column ? ' sb-category' : ''; ?>">
		<h2>分类目录</h2>
	<?php $this->widget('Widget_Metas_Category_List')
	->parse('<a title="{description}" href="{permalink}" class="_ajx ease sb-border">{name} ({count})</a>'); ?>
		<div class="clr"></div>
	</div>
	<?php } ?>
	<?php if (!empty($this->options->wpgo_widget) && in_array('wpgo_widget_newcomments', $this->options->wpgo_widget)) { ?>
	<div class="slide-box new-comment">
		<h2 class="sb-comment-title">最新评论</h2>
		<?php $this->widget('Widget_Comments_Recent','pageSize=8&ignoreAuthor=1')->to($comments); ?>
		<?php while($comments->next()): ?>
			<a class="author _ajx ease sb-border" href="<?php $comments->permalink(); ?>" target="_blank"><?php echo '<img src="' . getGravatar($comments->mail,30) . '" alt="' . $comments->author . '"class="avatar" height="30" width="30" />'; ?><span><?php $comments->author(false); ?></span><?php $comments->excerpt(35, '...'); ?></a>
		<?php endwhile; ?>
	</div>
	<?php } ?>
	<?php if (!empty($this->options->wpgo_widget) && in_array('wpgo_widget_archives', $this->options->wpgo_widget)) { ?>
	<div class="slide-box sb-archives">
		<h2>文章归档</h2>
	<?php $this->widget('Widget_Contents_Post_Date', 'type=month&format=Y年m月')->parse('<a href="{permalink}">{date} ({count})</a>'); ?>
	</div>
	<?php } ?>
	<?php if (!empty($this->options->wpgo_widget) && in_array('wpgo_widget_tag', $this->options->wpgo_widget)) { ?>
	<div class="slide-box">
		<h2>热门标签</h2>
		<div class="sb-tags-wrap sb-border" id="sb-tags">
			<?php $this->widget('Widget_Metas_Tag_Cloud',array('sort' => 'count', 'ignoreZeroCount' => true, 'desc' => true, 'limit' => 30))->parse('<a href="{permalink}" class="tag-link-{mid}" title="{count}个话题">{name}</a>'); ?>
		</div>
	</div>
	<?php } ?>
	<?php if(!empty($this->options->wpgo_widget) && in_array('wpgo_widget_link', $this->options->wpgo_widget)) { ?>
	<div class="slide-box">
		<h2>友情链接</h2>
		<div class="sb-bookmarks" id="bookmarks">
			<?php Links_Plugin::output('<a class="sb-border" href="{url}" title="{description}" target="_target">{name}</a>'); ?>
		</div>
	</div>
	<?php } ?>
</div>
<div class="clr"></div>